package com.mortals.xhx.common.code;

/**
 * 
 * 
 * @author: zxfei
 * @date: 2022/5/12 15:35
 */
public enum ApiRespCodeEnum {
    /** 接收成功 */
    SUCCESS(1, "接收成功"),
    /** 执行失败 */
    FAILED(2,"执行失败"),

    /** token认证失败 */
    TOKEN_FAILED(3,"token认证失败"),
    ;

    private final Integer value;
    private final String label;

    ApiRespCodeEnum(Integer value, String label) {
        this.value = value;
        this.label = label;
    }

    public int getValue() {
        return this.value;
    }

    public String getLabel() {
        return this.label;
    }
}
